MetacatUI - Bug #6713

"Sign In" in the navigation bar still shows after logging in
04/06/2015 03:10 PM - Lauren Walker

Status: Resolved Start date: 04/06/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.7.2 Spent time: 0.00 hour
Bugzilla-ld:

Description

The user is logged-in but their account menu does not display in the navigation bar. This only happens sometimes.

History

#1 - 04/06/2015 05:13 PM - ben leinfelder
Which theme?

#2 - 04/07/2015 09:33 AM - Lauren Walker
I noticed this in the KNB theme, so probably applies to all themes except DataONE.

#3 - 04/07/2015 01:15 PM - Lauren Walker

- Target version changed from 1.6.7 to 1.7.0

#4 - 04/07/2015 01:23 PM - Lauren Walker

I haven't been able to recreate this after many tries so | will push the target version back to at least 1.7.0 since it seems to be working most of the
time.

#5 - 05/22/2015 02:29 PM - Lauren Walker
- Target version deleted (1.7.0)

#6 - 07/16/2015 12:33 PM - Lauren Walker

- Status changed from New to Resolved

#7 - 07/23/2015 01:39 PM - Lauren Walker

- Target version set to 1.7.2

When MetacatUI validates the session with Metacat, only successful reponses were being captured, causing any kind of response to direct to the
registry page, seeming like the user had successfully logged in. Error responses are now captured and a notification is shown and the user is directed
back to the login screen.
